Browse code

- moved all packaging stuff to pkg subdirectory

Jan Janak authored on 20/07/2006 14:17:13
Showing 46 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1,114 @@
1
+ser (0.9.4-0.2) unstable; urgency=low
2
+
3
+  * minor debian rules clean target fix 
4
+
5
+ -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Wed, 02 Nov 2005 17:46:55 +0200
6
+
7
+ser (0.9.4-0.1) unstable; urgency=low
8
+
9
+  * new upstream minor release 
10
+
11
+ -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Fri, 02 Sep 2005 14:49:37 +0200
12
+
13
+ser (0.9.3-0.2) unstable; urgency=low
14
+
15
+  * missing init.d/ser fixed 
16
+
17
+ -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Tue, 28 Jun 2005 23:56:05 +0200
18
+
19
+ser (0.9.3-0.1) unstable; urgency=low
20
+
21
+  * new upstream release 
22
+  * added ser-cpl-module, ser-pa-module, ser-postgres-module,
23
+    ser-acc-db-module and ser-acc-radius-module
24
+  * ser-radius-modules depend now on libradiusclient-ng2 
25
+    (not in official Debian archives)
26
+
27
+ -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Thu, 23 Jun 2005 16:43:35 +0200
28
+
29
+ser (0.8.14) unstable; urgency=low
30
+
31
+  * new upstream release 
32
+
33
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 23 Jul 2004 16:00:04 +0200
34
+
35
+ser (0.8.12) unstable; urgency=low
36
+
37
+  * new upstream release (improved tcp support, set_advertised_address a.s.o)
38
+
39
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 14 Nov 2003 16:41:05 +0200
40
+
41
+ser (0.8.11) unstable; urgency=low
42
+
43
+  * new upstream release
44
+
45
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Wed, 27 Aug 2003 14:53:24 +0200
46
+
47
+ser (0.8.11-pre34) unstable; urgency=low
48
+
49
+  * minor bugfixes
50
+
51
+  * debian packaging changes (debhelper 4.0, init & postinst cleanups, added
52
+    examples, a.s.o)
53
+
54
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 27 Jun 2003 15:14:52 +0200
55
+
56
+ser (0.8.11-pre30) unstable; urgency=low
57
+
58
+  * minor bugfixes
59
+
60
+  * debian packaging changes (added conflicts)
61
+
62
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 06 Jun 2003 14:03:29 +0200
63
+
64
+ser (0.8.11-pre29) unstable; urgency=low
65
+
66
+  * RFC3261 support (TCP, loose routing)
67
+
68
+  * lots of new modules:  rich access control lists (permissions), database in
69
+    textfile support (dbtext), presence agent (pa), enum support (enum),
70
+    voicemail interface (vm), NAT traversal utility for Cisco/ATA NAT
71
+    (nathelper)
72
+
73
+  * arhitectural  improvements
74
+
75
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 30 May 2003 18:11:52 +0200
76
+
77
+ser (0.8.10) unstable; urgency=low
78
+
79
+ * fixes lots of  bugs in 0.8.9 (log not working, ipv6 address conversion)
80
+
81
+ * introduces port support in uri matching with myself
82
+
83
+ * faster hash function (statefull performance increase ~10%)
84
+
85
+ * modules updates (sms, jabber)
86
+
87
+ * the jabber module is in a separate package now (it depends on libexpat)
88
+
89
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 4 Nov 2002 17:23:37 +0200
90
+
91
+ser (0.8.9) unstable; urgency=low
92
+
93
+  * fixes a few bugs in 0.8.8 (primary some modules which where linked to some bad libs)
94
+
95
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 7 Oct 2002 16:49:05 +0200
96
+
97
+ser (0.8.8) unstable; urgency=low
98
+
99
+  * first release (really this time)
100
+
101
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 25 Sep 2002 23:27:11 +0200
102
+
103
+ser (0.8.7.16) unstable; urgency=low
104
+
105
+  * First Public Release.
106
+
107
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 24 Sep 2002 21:33:39 +0200
108
+
109
+ser (0.8.7.6-1) unstable; urgency=low
110
+
111
+  * Initial Release.
112
+
113
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 16 Jul 2002 15:41:31 +0200
114
+
0 115
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+4
0 2
new file mode 100644
... ...
@@ -0,0 +1,86 @@
1
+Source: ser
2
+Section: net
3
+Priority: optional
4
+Maintainer: Andrei Pelinescu-Onciul <andrei@iptel.org>
5
+Build-Depends: debhelper (>= 4), libmysqlclient-dev | libmysqlclient15-dev | libmysqlclient14-dev | libmysqlclient12-dev, libexpat1-dev, libradius-ng-dev | libradiusclient-ng-dev | libradius1-dev, libxml2-dev, libpq-dev | postgresql-dev, libcurl3-dev, libssl-dev
6
+Standards-Version: 3.5.2
7
+
8
+Package: ser
9
+Architecture: any
10
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
11
+Suggests: ser-mysql-module, ser-jabber-module, ser-cpl-module, ser-pa-module, ser-radius-modules
12
+Conflicts: ser-mysql-module (<< ${Source-Version}), ser-jabber-module (<< ${Source-Version}), ser-radius-modules (<< ${Source-Version}), ser-cpl-module (<< ${Source-Version}), ser-pa-module (<< ${Source-Version}), ser-postgres-module (<< ${Source-Version}), ser-acc-db-module (<< ${Source-Version}), ser-acc-radius-module (<< ${Source-Version})
13
+Description: Sip Express Router, very fast and configurable SIP proxy
14
+ ser or SIP Express Router is a very fast and flexible SIP (RFC3621)
15
+ proxy server. Written entirely in C, ser can handle thousands calls
16
+ per second even on low-budget hardware. C Shell like scripting language
17
+ provides full control over the server's behaviour. It's modular
18
+ architecture allows only required functionality to be loaded.
19
+ Currently the following modules are available: Digest Authentication,
20
+ CPL scripts, Instant Messaging, MySQL support, Presence Agent, Radius
21
+ Authentication, Record Routing, SMS Gateway, Jabber Gateway, Transaction 
22
+ Module, Registrar and User Location.
23
+
24
+Package: ser-ctl
25
+Architecture: any
26
+Depends: python2.3
27
+Suggests: python2.3-mysqldb, python2.3-psycopg, uuid
28
+Description: SER command line administration tools
29
+ This package contains the SER command line administration tools written
30
+ in python. The tools can be used to administer SIP accounts, SIP domains,
31
+ and various settings of a SER based SIP server.
32
+
33
+Package: ser-mysql-module
34
+Architecture: any
35
+Depends: ${shlibs:Depends}, ser (= ${Source-Version})
36
+Description: contains the MySQL database connectivity module
37
+ This has been split out of the main ser package, so that ser will not
38
+ depend upon libmysqlclient. This module will enable you to use the digest
39
+ authentication module or persistent user location entries.
40
+
41
+Package: ser-jabber-module
42
+Architecture: any
43
+Depends: ${shlibs:Depends}, ser (= ${Source-Version})
44
+Description: contains the Jabber module (SIP-Jabber message translation)
45
+ This has been split out of the main ser package, so that ser will not
46
+ depend upon libexpat. This module will enable you to use ser to translate
47
+ SIP messages into Jabber messages.
48
+
49
+Package: ser-cpl-module
50
+Architecture: any
51
+Depends: ${shlibs:Depends}, ser (= ${Source-Version})
52
+Description: contains the cpl-c module (CPL support)
53
+ This has been split out of the main ser package, so that ser will not
54
+ depend upon libxml2.
55
+
56
+Package: ser-presence-module
57
+Architecture: any
58
+Depends: ${shlibs:Depends}, ser (= ${Source-Version})
59
+Description: contains the SIMPLE based presence support (Presence server)
60
+ This module contains modules and libraries needed to implement SIMPLE
61
+ based presence support in SER
62
+
63
+Package: ser-radius-modules
64
+Architecture: any
65
+Depends: ${shlibs:Depends}, ser (= ${Source-Version})
66
+Description: contains the ser RADIUS modules 
67
+ This has been split out of the main ser package, so that ser will not
68
+ depend upon libradius1. This modules will enable you to authenticate, 
69
+ do group membership checking or check the messages uris using RADIUS.
70
+
71
+Package: ser-postgres-module
72
+Architecture: any
73
+Depends: ${shlibs:Depends}, ser (= ${Source-Version})
74
+Description: contains the PostgreSQL database connectivity module
75
+ This has been split out of the main ser package, so that ser will not
76
+ depend upon libpq. This module will enable you to use the digest
77
+ authentication module or persistent user location entries.
78
+
79
+Package: ser-xmlrpc-module
80
+Architecture: any
81
+Depends: ${shlibs:Depends}, ser (= ${Source-Version})
82
+Description: contains the XML-RPC based interface to SER
83
+ This module provides XML-RPC administrative interface to SER. The
84
+ interface can be used to change various configuration options of
85
+ SER at runtime. Other applications, such as serctl command line
86
+ tools and SERWeb use XML-RPC interface to communicate with SER
0 87
new file mode 100644
... ...
@@ -0,0 +1,19 @@
1
+This package was debianized by Andrei Pelinescu-Onciul
2
+<pelinescu-onciul@fokus.fraunhofer.de> on Tue, 16 Jul 2002 15:41:31 +0200.
3
+
4
+It was downloaded from http://iptel.org/ser.
5
+
6
+Upstream Authors: Andrei Pelinescu-Onciul
7
+<pelinescu-onciul@fokus.fraunhofer.de>, Bogdan Iancu
8
+<iancu@fokus.fraunhofer.de>, Daniel-Constantin Mierla, Jan Janak
9
+<jan@iptel.org>, Jiri Kuthan <jiri@iptel.org>, Juha Heinanen, Maxim
10
+Sobolev, Miklos Tirpak, Nils Ohlmeier, Ramona-Elena Modroiu, Raphael Coeffic,
11
+Ricardo Baratto, Stelios Sidiroglou-Douskos  (see AUTHORS file for details)
12
+
13
+This software is copyright (c) 2002-2003 by FhG Fokus
14
+
15
+You are free to distribute this software under the terms of
16
+the GNU General Public License.
17
+
18
+On Debian systems, the complete text of the GNU General Public
19
+License can be found in the file `/usr/share/common-licenses/GPL.
0 20
new file mode 100644
... ...
@@ -0,0 +1,4 @@
1
+#
2
+# Regular cron jobs for the ser-0.8.7 package
3
+#
4
+0 4	* * *	root	ser-0.8.7_maintenance
0 5
new file mode 100644
... ...
@@ -0,0 +1,22 @@
1
+Document: ser-0.8.7
2
+Title: Debian ser-0.8.7 Manual
3
+Author: <insert document author here>
4
+Abstract: This manual describes what ser-0.8.7 is
5
+ and how it can be used to
6
+ manage online manuals on Debian systems.
7
+Section: unknown
8
+
9
+Format: debiandoc-sgml
10
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.sgml.gz
11
+
12
+Format: postscript
13
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.ps.gz
14
+
15
+Format: text
16
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.text.gz
17
+
18
+Format: HTML
19
+Index: /usr/share/doc/ser-0.8.7/html/index.html
20
+Files: /usr/share/doc/ser-0.8.7/html/*.html
21
+
22
+  
0 23
new file mode 100644
... ...
@@ -0,0 +1,60 @@
1
+.\"                                      Hey, EMACS: -*- nroff -*-
2
+.\" First parameter, NAME, should be all caps
3
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
4
+.\" other parameters are allowed: see man(7), man(1)
5
+.TH SER-0.8.7 SECTION "July 16, 2002"
6
+.\" Please adjust this date whenever revising the manpage.
7
+.\"
8
+.\" Some roff macros, for reference:
9
+.\" .nh        disable hyphenation
10
+.\" .hy        enable hyphenation
11
+.\" .ad l      left justify
12
+.\" .ad b      justify to both left and right margins
13
+.\" .nf        disable filling
14
+.\" .fi        enable filling
15
+.\" .br        insert line break
16
+.\" .sp <n>    insert n+1 empty lines
17
+.\" for manpage-specific macros, see man(7)
18
+.SH NAME
19
+ser-0.8.7 \- program to do something
20
+.SH SYNOPSIS
21
+.B ser-0.8.7
22
+.RI [ options ] " files" ...
23
+.br
24
+.B bar
25
+.RI [ options ] " files" ...
26
+.SH DESCRIPTION
27
+This manual page documents briefly the
28
+.B ser-0.8.7
29
+and
30
+.B bar
31
+commands.
32
+This manual page was written for the Debian distribution
33
+because the original program does not have a manual page.
34
+Instead, it has documentation in the GNU Info format; see below.
35
+.PP
36
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
37
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
38
+.\" respectively.
39
+\fBser-0.8.7\fP is a program that...
40
+.SH OPTIONS
41
+These programs follow the usual GNU command line syntax, with long
42
+options starting with two dashes (`-').
43
+A summary of options is included below.
44
+For a complete description, see the Info files.
45
+.TP
46
+.B \-h, \-\-help
47
+Show summary of options.
48
+.TP
49
+.B \-v, \-\-version
50
+Show version of program.
51
+.SH SEE ALSO
52
+.BR bar (1),
53
+.BR baz (1).
54
+.br
55
+The programs are documented fully by
56
+.IR "The Rise and Fall of a Fooish Bar" ,
57
+available via the Info system.
58
+.SH AUTHOR
59
+This manual page was written by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>,
60
+for the Debian GNU/Linux system (but may be used by others).
0 61
new file mode 100644
... ...
@@ -0,0 +1,152 @@
1
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
2
+
3
+<!-- Process this file with docbook-to-man to generate an nroff manual
4
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
5
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
6
+     less'.  A typical entry in a Makefile or Makefile.am is:
7
+
8
+manpage.1: manpage.sgml
9
+	docbook-to-man $< > $@
10
+
11
+    
12
+	The docbook-to-man binary is found in the docbook-to-man package.
13
+	Please remember that if you create the nroff version in one of the
14
+	debian/rules file targets (such as build), you will need to include
15
+	docbook-to-man in your Build-Depends control field.
16
+
17
+  -->
18
+
19
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
20
+  <!ENTITY dhfirstname "<firstname>FIRSTNAME</firstname>">
21
+  <!ENTITY dhsurname   "<surname>SURNAME</surname>">
22
+  <!-- Please adjust the date whenever revising the manpage. -->
23
+  <!ENTITY dhdate      "<date>July 16, 2002</date>">
24
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
25
+       allowed: see man(7), man(1). -->
26
+  <!ENTITY dhsection   "<manvolnum>SECTION</manvolnum>">
27
+  <!ENTITY dhemail     "<email>pelinescu-onciul@fokus.gmd.de</email>">
28
+  <!ENTITY dhusername  "Andrei Pelinescu-Onciul">
29
+  <!ENTITY dhucpackage "<refentrytitle>SER-0.8.7</refentrytitle>">
30
+  <!ENTITY dhpackage   "ser-0.8.7">
31
+
32
+  <!ENTITY debian      "<productname>Debian</productname>">
33
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
34
+]>
35
+
36
+<refentry>
37
+  <refentryinfo>
38
+    <address>
39
+      &dhemail;
40
+    </address>
41
+    <author>
42
+      &dhfirstname;
43
+      &dhsurname;
44
+    </author>
45
+    <copyright>
46
+      <year>2002</year>
47
+      <holder>&dhusername;</holder>
48
+    </copyright>
49
+    &dhdate;
50
+  </refentryinfo>
51
+  <refmeta>
52
+    &dhucpackage;
53
+
54
+    &dhsection;
55
+  </refmeta>
56
+  <refnamediv>
57
+    <refname>&dhpackage;</refname>
58
+
59
+    <refpurpose>program to do something</refpurpose>
60
+  </refnamediv>
61
+  <refsynopsisdiv>
62
+    <cmdsynopsis>
63
+      <command>&dhpackage;</command>
64
+
65
+      <arg><option>-e <replaceable>this</replaceable></option></arg>
66
+
67
+      <arg><option>--example <replaceable>that</replaceable></option></arg>
68
+    </cmdsynopsis>
69
+  </refsynopsisdiv>
70
+  <refsect1>
71
+    <title>DESCRIPTION</title>
72
+
73
+    <para>This manual page documents briefly the
74
+      <command>&dhpackage;</command> and <command>bar</command>
75
+      commands.</para>
76
+
77
+    <para>This manual page was written for the &debian; distribution
78
+      because the original program does not have a manual page.
79
+      Instead, it has documentation in the &gnu;
80
+      <application>Info</application> format; see below.</para>
81
+
82
+    <para><command>&dhpackage;</command> is a program that...</para>
83
+
84
+  </refsect1>
85
+  <refsect1>
86
+    <title>OPTIONS</title>
87
+
88
+    <para>These programs follow the usual GNU command line syntax,
89
+      with long options starting with two dashes (`-').  A summary of
90
+      options is included below.  For a complete description, see the
91
+      <application>Info</application> files.</para>
92
+
93
+    <variablelist>
94
+      <varlistentry>
95
+        <term><option>-h</option>
96
+          <option>--help</option>
97
+        </term>
98
+        <listitem>
99
+          <para>Show summary of options.</para>
100
+        </listitem>
101
+      </varlistentry>
102
+      <varlistentry>
103
+        <term><option>-v</option>
104
+          <option>--version</option>
105
+        </term>
106
+        <listitem>
107
+          <para>Show version of program.</para>
108
+        </listitem>
109
+      </varlistentry>
110
+    </variablelist>
111
+  </refsect1>
112
+  <refsect1>
113
+    <title>SEE ALSO</title>
114
+
115
+    <para>bar (1), baz (1).</para>
116
+
117
+    <para>The programs are documented fully by <citetitle>The Rise and
118
+      Fall of a Fooish Bar</citetitle> available via the
119
+      <application>Info</application> system.</para>
120
+  </refsect1>
121
+  <refsect1>
122
+    <title>AUTHOR</title>
123
+
124
+    <para>This manual page was written by &dhusername; &dhemail; for
125
+      the &debian; system (but may be used by others).  Permission is
126
+      granted to copy, distribute and/or modify this document under
127
+      the terms of the <acronym>GNU</acronym> Free Documentation
128
+      License, Version 1.1 or any later version published by the Free
129
+      Software Foundation; with no Invariant Sections, no Front-Cover
130
+      Texts and no Back-Cover Texts.</para>
131
+
132
+  </refsect1>
133
+</refentry>
134
+
135
+<!-- Keep this comment at the end of the file
136
+Local variables:
137
+mode: sgml
138
+sgml-omittag:t
139
+sgml-shorttag:t
140
+sgml-minimize-attributes:nil
141
+sgml-always-quote-attributes:t
142
+sgml-indent-step:2
143
+sgml-indent-data:t
144
+sgml-parent-document:nil
145
+sgml-default-dtd-file:nil
146
+sgml-exposed-tags:nil
147
+sgml-local-catalogs:nil
148
+sgml-local-ecat-files:nil
149
+End:
150
+-->
151
+
152
+
0 153
new file mode 100644
... ...
@@ -0,0 +1,77 @@
1
+#! /bin/sh
2
+# $Id$
3
+# postinst script for ser-0.8.7
4
+#
5
+# see: dh_installdeb(1)
6
+
7
+set -e
8
+
9
+# summary of how this script can be called:
10
+#        * <postinst> `configure' <most-recently-configured-version>
11
+#        * <old-postinst> `abort-upgrade' <new version>
12
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
13
+#          <new-version>
14
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15
+#          <failed-install-package> <version> `removing'
16
+#          <conflicting-package> <version>
17
+# for details, see http://www.debian.org/doc/debian-policy/ or
18
+# the debian-policy package
19
+#
20
+# quoting from the policy:
21
+#     Any necessary prompting should almost always be confined to the
22
+#     post-installation script, and should be protected with a conditional
23
+#     so that unnecessary prompting doesn't happen if a package's
24
+#     installation fails and the `postinst' is called with `abort-upgrade',
25
+#     `abort-remove' or `abort-deconfigure'.
26
+
27
+case "$1" in
28
+    configure)
29
+        adduser --quiet --system --group --disabled-password \
30
+                --shell /bin/false --gecos "SIP Express Router" \
31
+                --home /var/run/ser ser || true
32
+
33
+    ;;
34
+
35
+    abort-upgrade|abort-remove|abort-deconfigure)
36
+
37
+    ;;
38
+
39
+    *)
40
+        echo "postinst called with unknown argument \`$1'" >&2
41
+        exit 1
42
+    ;;
43
+esac
44
+
45
+# # dh_installdeb will replace this with shell code automatically
46
+# # generated by other debhelper scripts.
47
+# deb_helper is not used here to avoid automatically starting ser after
48
+# the installation (dh_installinit 4.0 , from woody does not support
49
+# --nostart, if you're using a newer version is safe to comment out the 
50
+# rest of the code and add again deb_helper)
51
+
52
+# this will be added automatically by dh_installdocs if deb_helper is 
53
+# "enabled"
54
+if [ "$1" = "configure" ]; then
55
+	if [ -d /usr/doc -a ! -e /usr/doc/ser -a -d /usr/share/doc/ser ]; then
56
+		ln -sf ../share/doc/ser /usr/doc/ser
57
+	fi
58
+fi
59
+# end dh_installdocs section
60
+# this will be automativally added by dh_installinit if deb_helper is
61
+# "enabled
62
+if [ -x "/etc/init.d/ser" ]; then
63
+	 update-rc.d ser defaults 23 >/dev/null
64
+	 if ! invoke-rc.d ser restart ; then
65
+		echo ""
66
+		echo "ser failed to (re)start. Perhaps your configuration requires "
67
+		echo "additional modules (e.g. ser-mysql-module, ser-jabber-module "
68
+		echo "or ser-radius-modules). Next try to install any additional ser"
69
+		echo "modules you might need and then (re)start ser by executing "
70
+		echo "the command '/etc/init.d/ser start|restart'."
71
+	fi
72
+fi
73
+# end dh_installinit section
74
+
75
+exit 0
76
+
77
+
0 78
new file mode 100644
... ...
@@ -0,0 +1,45 @@
1
+#! /bin/sh
2
+# $Id$
3
+# postrm script for ser-0.8.7
4
+#
5
+# see: dh_installdeb(1)
6
+
7
+set -e
8
+
9
+# summary of how this script can be called:
10
+#        * <postrm> `remove'
11
+#        * <postrm> `purge'
12
+#        * <old-postrm> `upgrade' <new-version>
13
+#        * <new-postrm> `failed-upgrade' <old-version>
14
+#        * <new-postrm> `abort-install'
15
+#        * <new-postrm> `abort-install' <old-version>
16
+#        * <new-postrm> `abort-upgrade' <old-version>
17
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
18
+# for details, see http://www.debian.org/doc/debian-policy/ or
19
+# the debian-policy package
20
+
21
+
22
+case "$1" in
23
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
24
+        ;;
25
+
26
+    *)
27
+        echo "postrm called with unknown argument \`$1'" >&2
28
+        exit 1
29
+
30
+esac
31
+
32
+
33
+# dh_installdeb will replace this with shell code automatically
34
+# generated by other debhelper scripts.
35
+
36
+#DEBHELPER#
37
+
38
+if [ "$1" = "purge" ] ; then
39
+# remove user/group on purge
40
+	deluser --quiet --remove-home ser &>/dev/null || true
41
+# remove /etc/ser if empty
42
+	rmdir /etc/ser || true
43
+fi
44
+
45
+exit 0
0 46
new file mode 100644
... ...
@@ -0,0 +1,44 @@
1
+#! /bin/sh
2
+# preinst script for ser-0.8.7
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <new-preinst> `install'
10
+#        * <new-preinst> `install' <old-version>
11
+#        * <new-preinst> `upgrade' <old-version>
12
+#        * <old-preinst> `abort-upgrade' <new-version>
13
+#
14
+# for details, see http://www.debian.org/doc/debian-policy/ or
15
+# the debian-policy package
16
+
17
+
18
+case "$1" in
19
+    install|upgrade)
20
+#        if [ "$1" = "upgrade" ]
21
+#        then
22
+#            start-stop-daemon --stop --quiet --oknodo  \
23
+#                --pidfile /var/run/ser-0.8.7.pid  \
24
+#                --exec /usr/sbin/ser-0.8.7 2>/dev/null || true
25
+#        fi
26
+    ;;
27
+
28
+    abort-upgrade)
29
+    ;;
30
+
31
+    *)
32
+        echo "preinst called with unknown argument \`$1'" >&2
33
+        exit 1
34
+    ;;
35
+esac
36
+
37
+# dh_installdeb will replace this with shell code automatically
38
+# generated by other debhelper scripts.
39
+
40
+#DEBHELPER#
41
+
42
+exit 0
43
+
44
+
0 45
new file mode 100644
... ...
@@ -0,0 +1,39 @@
1
+#! /bin/sh
2
+# prerm script for ser-0.8.7
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <prerm> `remove'
10
+#        * <old-prerm> `upgrade' <new-version>
11
+#        * <new-prerm> `failed-upgrade' <old-version>
12
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
13
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
14
+#          <package-being-installed> <version> `removing'
15
+#          <conflicting-package> <version>
16
+# for details, see http://www.debian.org/doc/debian-policy/ or
17
+# the debian-policy package
18
+
19
+
20
+case "$1" in
21
+    remove|upgrade|deconfigure)
22
+#       install-info --quiet --remove /usr/info/ser-0.8.7.info.gz
23
+        ;;
24
+    failed-upgrade)
25
+        ;;
26
+    *)
27
+        echo "prerm called with unknown argument \`$1'" >&2
28
+        exit 1
29
+    ;;
30
+esac
31
+
32
+# dh_installdeb will replace this with shell code automatically
33
+# generated by other debhelper scripts.
34
+
35
+#DEBHELPER#
36
+
37
+exit 0
38
+
39
+
0 40
new file mode 100755
... ...
@@ -0,0 +1,236 @@
1
+#!/usr/bin/make -f
2
+# Sample debian/rules that uses debhelper.
3
+# GNU copyright 1997 to 1999 by Joey Hess.
4
+#
5
+# $Id$
6
+#
7
+# History:
8
+# --------
9
+#  2003-05-30  updated for the 0.8.11 release, changed modules list and
10
+#              some ser make options (andrei)
11
+#  2003-06-27  changed to DH_COMPAT 4 (debian/compat) + other filenames
12
+#              & small fixes (andrei)
13
+#  2003-08-29  replaced modules-install with modules-install-all, to 
14
+#               install also the modules doc (andrei)
15
+#  2004-07-23  added ext and commented out the radius modules
16
+#              (the current radius modules depend on radiusclient-ng which
17
+#               is not yet part of debian)  (andrei)
18
+#  2005-06-23  added cpl-c, pa & re-enabled radius (with libradiusclient-ng)
19
+#                (andrei)
20
+
21
+
22
+# Uncomment this to turn on verbose mode.
23
+#export DH_VERBOSE=1
24
+
25
+# This is the debhelper compatibility version to use.
26
+# export DH_COMPAT=4
27
+#  -- already set in compat
28
+#  force no striping (always include debug symbols for now)
29
+export DEB_BUILD_OPTIONS:="$(DEB_BUILD_OPTIONS) nostrip"
30
+
31
+# modules not in the "main" package or unstable 
32
+EXCLUDED_MODULES=	mysql jabber acc_radius xmlrpc auth_radius group_radius uri_radius \
33
+					avp_radius pa rls dialog presence_b2b xcap postgres snmp cpl cpl-c ext extcmd 
34
+
35
+# modules depending on mysql
36
+MYSQL_MODULES=mysql
37
+#jabber related modules
38
+JABBER_MODULES=jabber
39
+#module depending on radiusclient
40
+RADIUS_MODULES=acc_radius auth_radius group_radius uri_radius avp_radius
41
+#cpl related modules
42
+CPL_MODULES=cpl-c
43
+# pa related modules
44
+PA_MODULES=pa rls dialog presence_b2b xcap
45
+# postgres modules
46
+POSTGRES_MODULES=postgres
47
+# xmlrpc module
48
+XMLRPC_MODULES=xmlrpc
49
+
50
+# the same but with path prepended (needed for modules="...")
51
+MYSQL_MOD_PATH=$(addprefix modules/, $(MYSQL_MODULES))
52
+JABBER_MOD_PATH=$(addprefix modules/, $(JABBER_MODULES))
53
+RADIUS_MOD_PATH=$(addprefix modules/, $(RADIUS_MODULES))
54
+CPL_MOD_PATH=$(addprefix modules/, $(CPL_MODULES))
55
+PA_MOD_PATH=$(addprefix modules/, $(PA_MODULES))
56
+POSTGRES_MOD_PATH=$(addprefix modules/, $(POSTGRES_MODULES))
57
+XMLRPC_MOD_PATH=$(addprefix modules/, $(XMLRPC_MODULES))
58
+
59
+SERCTL_PATH=tools/serctl
60
+
61
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
62
+	CFLAGS += -g
63
+endif
64
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
65
+	INSTALL_PROGRAM += -s
66
+endif
67
+
68
+configure: configure-stamp
69
+configure-stamp:
70
+	dh_testdir
71
+	# Add here commands to configure the package.
72
+
73
+	touch configure-stamp
74
+
75
+
76
+build: build-stamp
77
+
78
+build-stamp: configure-stamp 
79
+	dh_testdir
80
+
81
+	# Add here commands to compile the package.
82
+	$(MAKE) all  skip_modules="$(EXCLUDED_MODULES)" cfg-target=/etc/ser/
83
+	$(MAKE) modules modules="$(MYSQL_MOD_PATH)" cfg-target=/etc/ser/
84
+	$(MAKE) modules modules="$(JABBER_MOD_PATH)" cfg-target=/etc/ser/
85
+	$(MAKE) modules modules="$(RADIUS_MOD_PATH)" cfg-target=/etc/ser/
86
+	$(MAKE) modules modules="$(CPL_MOD_PATH)" cfg-target=/etc/ser/
87
+
88
+	# Compile shared libraries needed for presence modules
89
+	$(MAKE) -C lib -f Makefile.ser 
90
+	$(MAKE) modules modules="$(PA_MOD_PATH)" cfg-target=/etc/ser/
91
+	
92
+	$(MAKE) modules modules="$(POSTGRES_MOD_PATH)" cfg-target=/etc/ser/
93
+	$(MAKE) modules modules="$(XMLRPC_MOD_PATH)" cfg-target=/etc/ser/
94
+	#/usr/bin/docbook-to-man debian/ser.sgml > ser.1
95
+
96
+	touch build-stamp
97
+
98
+clean:
99
+	dh_testdir
100
+	dh_testroot
101
+	rm -f build-stamp configure-stamp
102
+
103
+	# Add here commands to clean up after the build process.
104
+	-$(MAKE) -C lib -f Makefile.ser proper
105
+	-$(MAKE) \
106
+		include_modules="$(MYSQL_MODULES) $(JABBER_MODULES) $(RADIUS_MODULES)\
107
+							$(CPL_MODULES) $(PA_MODULES) $(POSTGRES_MODULES) $(XMLRPC_MODULES)"\
108
+							proper
109
+
110
+	dh_clean
111
+
112
+install: build
113
+	dh_testdir
114
+	dh_testroot
115
+	dh_clean -k
116
+	dh_installdirs
117
+
118
+	# Add here commands to install the package into debian/ser
119
+	$(MAKE) install  skip_modules="$(EXCLUDED_MODULES)" \
120
+		basedir=$(CURDIR)/debian/ser \
121
+		prefix=/usr \
122
+		cfg-prefix=$(CURDIR)/debian/ser \
123
+		cfg-target=/etc/ser/
124
+	# install only the mysql module
125
+	$(MAKE) install-modules-all modules="$(MYSQL_MOD_PATH)"  \
126
+		basedir=$(CURDIR)/debian/ser-mysql-module \
127
+		prefix=/usr \
128
+		cfg-prefix=$(CURDIR)/debian/ser-mysql-module \
129
+		cfg-target=/etc/ser/ \
130
+		doc-dir=share/doc/ser-mysql-module
131
+	#install only the jabber module
132
+	$(MAKE) install-modules-all modules="$(JABBER_MOD_PATH)"  \
133
+		basedir=$(CURDIR)/debian/ser-jabber-module \
134
+		prefix=/usr \
135
+		cfg-prefix=$(CURDIR)/debian/ser-jabber-module \
136
+		cfg-target=/etc/ser/ \
137
+		doc-dir=share/doc/ser-jabber-module
138
+	#install only the radius modules
139
+	$(MAKE) install-modules-all modules="$(RADIUS_MOD_PATH)"  \
140
+		basedir=$(CURDIR)/debian/ser-radius-modules \
141
+		prefix=/usr \
142
+		cfg-prefix=$(CURDIR)/debian/ser-radius-modules \
143
+		cfg-target=/etc/ser/ \
144
+		doc-dir=share/doc/ser-radius-modules
145
+	#install only the cpl module
146
+	$(MAKE) install-modules-all modules="$(CPL_MOD_PATH)"  \
147
+		basedir=$(CURDIR)/debian/ser-cpl-module \
148
+		prefix=/usr \
149
+		cfg-prefix=$(CURDIR)/debian/ser-cpl-module \
150
+		cfg-target=/etc/ser/ \
151
+		doc-dir=share/doc/ser-cpl-module
152
+	#install only the pa module
153
+	$(MAKE) -C lib -f Makefile.ser install \
154
+	        prefix=$(CURDIR)/debian/ser-presence-module/usr/
155
+	$(MAKE) install-modules-all modules="$(PA_MOD_PATH)"  \
156
+		basedir=$(CURDIR)/debian/ser-presence-module \
157
+		prefix=/usr \
158
+		cfg-prefix=$(CURDIR)/debian/ser-presence-module \
159
+		cfg-target=/etc/ser/ \
160
+		doc-dir=share/doc/ser-presence-module
161
+	#install only the postgres module
162
+	$(MAKE) install-modules-all modules="$(POSTGRES_MOD_PATH)"  \
163
+		basedir=$(CURDIR)/debian/ser-postgres-module \
164
+		prefix=/usr \
165
+		cfg-prefix=$(CURDIR)/debian/ser-postgres-module \
166
+		cfg-target=/etc/ser/ \
167
+		doc-dir=share/doc/ser-postgres-module
168
+	#install only the xmlrpc module
169
+	$(MAKE) install-modules-all modules="$(XMLRPC_MOD_PATH)"  \
170
+		basedir=$(CURDIR)/debian/ser-xmlrpc-module \
171
+		prefix=/usr \
172
+		cfg-prefix=$(CURDIR)/debian/ser-xmlrpc-module \
173
+		cfg-target=/etc/ser/ \
174
+		doc-dir=share/doc/ser-xmlrpc-module
175
+	
176
+	# Install serctl only
177
+	cd $(SERCTL_PATH); \
178
+	$(MAKE) install \
179
+		prefix=$(CURDIR)/debian/ser-ctl \
180
+		'usr_prefix=$$(prefix)/usr' \
181
+		'var_prefix=$$(prefix)/var' \
182
+		'DOC_DIR=$$(docdir)/ser-ctl'
183
+	#dh_movefiles
184
+
185
+
186
+
187
+# This single target is used to build all the packages, all at once, or
188
+# one at a time. So keep in mind: any options passed to commands here will
189
+# affect _all_ packages. Anything you want to only affect one package
190
+# should be put in another target, such as the install target.
191
+binary-common: 
192
+	dh_testdir
193
+	dh_testroot
194
+#	dh_installdebconf	
195
+	dh_installdocs
196
+	dh_installexamples
197
+	dh_installmenu
198
+#	dh_installlogrotate
199
+#	dh_installemacsen
200
+#	dh_installpam
201
+#	dh_installmime
202
+	dh_installinit  -- defaults 23
203
+	dh_installcron
204
+	dh_installman
205
+	dh_installinfo
206
+#	dh_undocumented
207
+	dh_installchangelogs 
208
+	dh_link
209
+	dh_strip
210
+	dh_compress 
211
+	dh_fixperms
212
+#	dh_makeshlibs
213
+	dh_installdeb
214
+#	dh_perl
215
+	dh_shlibdeps
216
+	dh_gencontrol
217
+	dh_md5sums
218
+	dh_builddeb
219
+
220
+# Build architecture-independent packages using the common target
221
+binary-indep: build install
222
+# (Uncomment this next line if you have such packages.)
223
+#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
224
+# We have nothing to do by default.
225
+
226
+
227
+# Build architecture-dependent packages using the common target
228
+binary-arch: build install
229
+	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
230
+
231
+# Any other binary targets build just one binary package at a time.
232
+binary-%: build install
233
+	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*
234
+
235
+binary: binary-indep binary-arch
236
+.PHONY: build clean binary-indep binary-arch binary install configure
0 237
new file mode 100644
... ...
@@ -0,0 +1,15 @@
1
+examples/acc.cfg
2
+examples/ccdiversion.cfg
3
+examples/ctd.sh
4
+examples/exec.cfg
5
+examples/logging.cfg
6
+examples/msilo.cfg
7
+examples/onr.cfg
8
+examples/pstn.cfg
9
+examples/redirect.cfg
10
+examples/replicate.cfg
11
+examples/serial_183.cfg
12
+examples/uas.cfg
13
+examples/vm_proxy.cfg
14
+examples/voicemail.cfg
15
+examples/welcome.cfg
0 16
new file mode 100644
... ...
@@ -0,0 +1,84 @@
1
+#! /bin/sh
2
+#
3
+# skeleton	example file to build /etc/init.d/ scripts.
4
+#		This file should be used to construct scripts for /etc/init.d.
5
+#
6
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
7
+#		Modified for Debian GNU/Linux
8
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
9
+#
10
+# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
11
+#
12
+#  adapted for ser by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>
13
+# $Id$
14
+
15
+
16
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
17
+DAEMON=/usr/sbin/ser
18
+NAME=ser
19
+DESC=ser
20
+PIDFILE=/var/run/$NAME/$NAME.pid
21
+PARAMS="-P $PIDFILE -u ser -g ser"
22
+LD_LIBRARY_PATH=/usr/lib/ser
23
+
24
+test -f $DAEMON || exit 0
25
+
26
+export LD_LIBRARY_PATH
27
+set -e
28
+
29
+case "$1" in
30
+  start)
31
+	echo -n "Starting $DESC: $NAME"
32
+	start-stop-daemon --start --quiet --pidfile $PIDFILE \
33
+		--exec $DAEMON -- $PARAMS
34
+	echo "."
35
+	;;
36
+  stop)
37
+	echo -n "Stopping $DESC: $NAME"
38
+	start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
39
+		--exec $DAEMON
40
+	echo "."
41
+	;;
42
+  #reload)
43
+	#
44
+	#	If the daemon can reload its config files on the fly
45
+	#	for example by sending it SIGHUP, do it here.
46
+	#
47
+	#	If the daemon responds to changes in its config file
48
+	#	directly anyway, make this a do-nothing entry.
49
+	#
50
+	# echo "Reloading $DESC configuration files."
51
+	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
52
+	#	$PIDFILE --exec $DAEMON
53
+  #;;
54
+  restart|force-reload)
55
+	#
56
+	#	If the "reload" option is implemented, move the "force-reload"
57
+	#	option to the "reload" entry above. If not, "force-reload" is
58
+	#	just the same as "restart".
59
+	#
60
+	# Check if ser configuration is valid before restarting the server
61
+        (($DAEMON -c 2>&1) | grep "config file ok, exiting") > /dev/null
62
+	if [ $? -ne 0 ]; then
63
+            ($DAEMON -c 2>&1)
64
+	    echo -e "\nThere are errors in the configuration file. Please fix them first"
65
+	    echo -e "\n$out\n"
66
+	    exit 0
67
+	fi
68
+	echo -n "Restarting $DESC: $NAME"
69
+	start-stop-daemon --oknodo --stop --quiet --pidfile \
70
+		$PIDFILE --exec $DAEMON
71
+	sleep 1
72
+	start-stop-daemon --start --quiet --pidfile \
73
+		$PIDFILE --exec $DAEMON  -- $PARAMS
74
+	echo "."
75
+	;;
76
+  *)
77
+	N=/etc/init.d/$NAME
78
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
79
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
80
+	exit 1
81
+	;;
82
+esac
83
+
84
+exit 0
0 85
new file mode 100644
1 86
new file mode 100644
... ...
@@ -0,0 +1,7 @@
1
+# Example watch control file for uscan
2
+# Rename this file to "watch" and then you can run the "uscan" command
3
+# to check for upstream updates and more.
4
+version=2
5
+
6
+# Site		Directory		Pattern			Version	Script
7
+ftp://ftp.berlios.de/pub/ser/latest/src/ser-(.*)_src\.tar\.gz	debian	uupdate
0 8
new file mode 100644
... ...
@@ -0,0 +1,24 @@
1
+#!/bin/sh
2
+#
3
+# Start/stop/restart SIP EXpress Router (SER)
4
+#
5
+# Version: 1.0 - Paul Belanger <pabelanger@gmail.com>
6
+#
7
+# Directions:
8
+# copy ser script to /usr/local/etc/rc.d/
9
+# edit /etc/rc.conf and add the following:
10
+# ser_enable="YES"
11
+#
12
+#
13
+# 05.05.2005 - Initial Version
14
+
15
+. /etc/rc.subr
16
+
17
+name="ser"
18
+rcvar="`set_rcvar`"
19
+command="/usr/local/sbin/${name}"
20
+pidfile="/var/run/${name}.pid"
21
+
22
+load_rc_config $name
23
+ser_flags="$cron_flags -P $pidfile"
24
+run_rc_command "$1"
0 25
new file mode 100644
... ...
@@ -0,0 +1,55 @@
1
+# New ports collection makefile for:    ser
2
+# Date created:        6 November 2002
3
+# Whom:                andrei
4
+#
5
+# $FreeBSD$
6
+#
7
+# $Id$
8
+#
9
+
10
+
11
+PORTNAME= ser
12
+PORTVERSION= 0.9.4
13
+CATEGORIES= net
14
+MASTER_SITES= ftp://ftp.berlios.de/pub/ser/0.9.4/src/
15
+
16
+MAINTAINER= andrei@iptel.org
17
+
18
+.include <bsd.port.pre.mk>
19
+
20
+.if ${OSVERSION} >= 501000
21
+# FreeBSD 5.1 wants COMMENT and it doesn't like pkg-comment
22
+COMMENT= Sip Express Router, very fast and configurable SIP proxy
23
+COMMENTFILE= 
24
+.endif
25
+
26
+MAN8=ser.8
27
+MAN5=ser.cfg.5
28
+MANCOMPRESSED= no
29
+
30
+
31
+USE_GMAKE= yes
32
+# we override the DISTFILE NAME
33
+DISTNAME= ${PORTNAME}-${PORTVERSION}_src
34
+WRKSRC= ${WRKDIR}/${PORTNAME}-${PORTVERSION}
35
+
36
+# build by default mysql and jabber
37
+MAKE_ENV= include_modules="mysql jabber cpl-c pa"
38
+
39
+
40
+
41
+
42
+# depends on mysql and libexpat because of the above modules
43
+BUILD_DEPENDS= ${LOCALBASE}/include/expat.h:${PORTSDIR}/textproc/expat* \
44
+               ${LOCALBASE}/include/mysql/mysql.h:${PORTSDIR}/databases/mysql*-client \
45
+               ${LOCALBASE}/include/libxml2/libxml/uri.h:${PORTSDIR}/textproc/libxml2* 
46
+LIB_DEPENDS=   expat:${PORTSDIR}/textproc/expat* \
47
+               mysqlclient:${PORTSDIR}/databases/mysql*-client \
48
+               xml2:${PORTSDIR}/textproc/libxml2
49
+
50
+pre-fetch:
51
+
52
+
53
+.include <bsd.port.post.mk>
54
+
55
+
0 56
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+MD5 (ser-0.9.4_src.tar.gz) = d12d56d76c86b59dd51a43b3251b7d3a
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+Sip Express Router, very fast and configurable SIP proxy
0 2
new file mode 100644
... ...
@@ -0,0 +1,15 @@
1
+ser or SIP Express Router is a very fast and flexible SIP (RFC3621)
2
+proxy server. Written entirely in C, ser can handle thousands calls
3
+per second even on low-budget hardware. C Shell like scripting language
4
+provides full control over the server's behaviour. It's modular
5
+architecture allows only required functionality to be loaded.
6
+Currently the following modules are available: Digest Authentication,
7
+CPL scripts, Instant Messaging, MySQL support, Presence Agent, Radius
8
+Authentication, Record Routing, SMS Gateway, Jabber Gateway, Transaction
9
+Module, Registrar, User Location, NAT Traversal, a.s.o.
10
+
11
+
12
+WWW: http://www.iptel.org/ser/
13
+
14
+- Andrei Pelinescu-Onciul
15
+pelinescu-onciul@fokus.fraunhofer.de
0 16
new file mode 100644
... ...
@@ -0,0 +1,96 @@
1
+etc/ser/dictionary.ser
2
+etc/ser/ser.cfg
3
+lib/ser/modules/acc.so
4
+lib/ser/modules/auth.so
5
+lib/ser/modules/auth_db.so
6
+lib/ser/modules/auth_diameter.so
7
+lib/ser/modules/avp.so
8
+lib/ser/modules/avp_db.so
9
+lib/ser/modules/avpops.so
10
+lib/ser/modules/cpl-c.so
11
+lib/ser/modules/dbtext.so
12
+lib/ser/modules/dispatcher.so
13
+lib/ser/modules/diversion.so
14
+lib/ser/modules/domain.so
15
+lib/ser/modules/enum.so
16
+lib/ser/modules/exec.so
17
+lib/ser/modules/flatstore.so
18
+lib/ser/modules/gflags.so
19
+lib/ser/modules/group.so
20
+lib/ser/modules/jabber.so
21
+lib/ser/modules/mangler.so
22
+lib/ser/modules/maxfwd.so
23
+lib/ser/modules/mediaproxy.so
24
+lib/ser/modules/msilo.so
25
+lib/ser/modules/mysql.so
26
+lib/ser/modules/nathelper.so
27
+lib/ser/modules/options.so
28
+lib/ser/modules/pa.so
29
+lib/ser/modules/pdt.so
30
+lib/ser/modules/permissions.so
31
+lib/ser/modules/pike.so
32
+lib/ser/modules/print.so
33
+lib/ser/modules/registrar.so
34
+lib/ser/modules/rr.so
35
+lib/ser/modules/sl.so
36
+lib/ser/modules/sms.so
37
+lib/ser/modules/speeddial.so
38
+lib/ser/modules/textops.so
39
+lib/ser/modules/tm.so
40
+lib/ser/modules/uri.so
41
+lib/ser/modules/uri_db.so
42
+lib/ser/modules/usrloc.so
43
+lib/ser/modules/xlog.so
44
+sbin/gen_ha1
45
+sbin/ser
46
+sbin/ser_mysql.sh
47
+sbin/serctl
48
+sbin/serunix
49
+share/doc/ser/AUTHORS
50
+share/doc/ser/INSTALL
51
+share/doc/ser/NEWS
52
+share/doc/ser/README
53
+share/doc/ser/README-MODULES
54
+share/doc/ser/README.acc
55
+share/doc/ser/README.auth
56
+share/doc/ser/README.auth_db
57
+share/doc/ser/README.auth_diameter
58
+share/doc/ser/README.avp
59
+share/doc/ser/README.avp_db
60
+share/doc/ser/README.avpops
61
+share/doc/ser/README.cpl-c
62
+share/doc/ser/README.dbtext
63
+share/doc/ser/README.dispatcher
64
+share/doc/ser/README.diversion
65
+share/doc/ser/README.domain
66
+share/doc/ser/README.enum
67
+share/doc/ser/README.exec
68
+share/doc/ser/README.flatstore
69
+share/doc/ser/README.gflags
70
+share/doc/ser/README.group
71
+share/doc/ser/README.jabber
72
+share/doc/ser/README.mangler
73
+share/doc/ser/README.maxfwd
74
+share/doc/ser/README.msilo
75
+share/doc/ser/README.nathelper
76
+share/doc/ser/README.options
77
+share/doc/ser/README.pa
78
+share/doc/ser/README.pdt
79
+share/doc/ser/README.permissions
80
+share/doc/ser/README.pike
81
+share/doc/ser/README.print
82
+share/doc/ser/README.registrar
83
+share/doc/ser/README.rr
84
+share/doc/ser/README.sl
85
+share/doc/ser/README.sms
86
+share/doc/ser/README.speeddial
87
+share/doc/ser/README.textops
88
+share/doc/ser/README.tm
89
+share/doc/ser/README.uri
90
+share/doc/ser/README.uri_db
91
+share/doc/ser/README.usrloc
92
+share/doc/ser/README.xlog
93
+@dirrm share/doc/ser
94
+@dirrm etc/ser
95
+@dirrm lib/ser/modules
96
+@dirrm lib/ser
0 97
new file mode 100644
... ...
@@ -0,0 +1,70 @@
1
+# Copyright 1999-2002 Gentoo Technologies, Inc.
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Id$
4
+
5
+DESCRIPTION="SIP Express Router"
6
+
7
+HOMEPAGE="http://www.iptel.org/ser"
8
+SRC_URI="ftp://ftp.berlios.de/pub/ser/0.8.10/src/${P}_src.tar.gz"
9
+
10
+LICENSE="GPL-2"
11
+SLOT="0"
12
+KEYWORDS="~x86"
13
+
14
+DEPEND=">=sys-devel/gcc-2.95.3
15
+		>=sys-devel/bison-1.35
16
+		>=sys-devel/flex-2.5.4a
17
+		mysql? ( >=dev-db/mysql-3.23.52 )
18
+		dev-libs/expat"
19
+
20
+S="${WORKDIR}/${P}"
21
+
22
+src_compile() {
23
+	if [ ! "`use ipv6`" ]; then
24
+		cp Makefile.defs Makefile.defs.orig 
25
+		sed -e "s/-DUSE_IPV6//g" Makefile.defs.orig > Makefile.defs;
26
+	fi
27
+	local exclude="CVS radius_acc radius_auth snmp"
28
+	use mysql || exclude="${exclude} mysql"
29
+	make all CFLAGS="${CFLAGS}" \
30
+		prefix=${D}/ \
31
+		exclude_modules="${exclude}" \
32
+		cfg-prefix=/ \
33
+		cfg-target=/etc/ser/ || die
34
+}
35
+
36
+src_install () {
37
+	local exclude="CVS radius_acc radius_auth snmp"
38
+	use mysql || exclude="${exclude} mysql"
39
+	make install \
40
+		prefix=${D}/ \
41
+		exclude_modules="${exclude}" \
42
+		bin-prefix=${D}/usr/sbin \
43
+		bin-dir="" \
44
+		cfg-prefix=${D}/etc \
45
+		cfg-dir=ser/ \
46
+		cfg-target=/etc/ser \
47
+		modules-prefix=${D}/usr/lib/ser \
48
+		modules-dir=modules \
49
+		modules-target=/usr/lib/ser/modules/ \
50
+		man-prefix=${D}/usr/share/man \
51
+		man-dir="" \
52
+		doc-prefix=${D}/usr/share/doc \
53
+		doc-dir=${P} || die
54
+	exeinto /etc/init.d
55
+	newexe gentoo/ser.init ser
56
+	# fix what the Makefile don't do
57
+	exeinto /usr/sbin
58
+	newexe scripts/harv_ser.sh harv_ser.sh
59
+	rm ${D}/usr/sbin/gen_ha1
60
+	if [ "`use mysql`" ]; then
61
+		exeinto /usr/bin
62
+		newexe utils/gen_ha1/gen_ha1 gen_ha1
63
+	else
64
+		rm ${D}/usr/sbin/ser_mysql.sh
65
+	fi
66
+}
67
+
68
+pkg_prerm () {
69
+	/etc/init.d/ser stop >/dev/null
70
+}
0 71
new file mode 100644
... ...
@@ -0,0 +1,106 @@
1
+# Copyright 1999-2003 Fraunhofer Fokus
2
+# Distributed under the terms of the GNU General Public License v2
3
+# $Header$
4
+
5
+DESCRIPTION="SIP Express Router"
6
+
7
+HOMEPAGE="http://www.iptel.org/ser"
8
+SRC_URI="ftp://ftp.berlios.de/pub/ser/0.8.11/src/${P}_src.tar.gz"
9
+
10
+LICENSE="GPL-2"
11
+SLOT="0"
12
+KEYWORDS="~x86 ~ppc ~sparc"
13
+IUSE="debug ipv6 mysql postgres"
14
+
15
+DEPEND=">=sys-devel/gcc-2.95.3
16
+		>=sys-devel/bison-1.35
17
+		>=sys-devel/flex-2.5.4a
18
+		mysql? ( >=dev-db/mysql-3.23.52 )
19
+		postgres? ( >=dev-db/postgresql-7.3.4 )"
20
+
21
+S="${WORKDIR}/${P}"
22
+
23
+inc_mod=""
24
+make_options=""
25
+
26
+check_mods() {
27
+	if [ "`use mysql`" ]; then
28
+		inc_mod="${inc_mod} mysql"
29
+	fi
30
+	if [ "`use postgres`" ]; then
31
+		inc_mod="${inc_mod} postgres"
32
+	fi
33
+	
34
+	# test some additional modules for which
35
+	# no USE variables exist
36
+	
37
+	# jabber module requires dev-libs/expat
38
+	if [ -f "/usr/include/expat.h" ]; then
39
+		inc_mod="${inc_mod} jabber"
40
+	fi
41
+	# Radius modules requires installed radiusclient
42
+	# which is not in portage yet
43
+	if [ -f "/usr/include/radiusclient.h" -o  -f "/usr/local/include/radisuclient.h" ]; then
44
+		inc_mod="${inc_mod} auth_radius group_radius uri_radius"
45
+	fi
46
+}
47
+
48
+src_compile() {
49
+	if [ ! "`use ipv6`" ]; then
50
+		cp Makefile.defs Makefile.defs.orig 
51
+		sed -e "s/-DUSE_IPV6//g" Makefile.defs.orig > Makefile.defs;
52
+	fi
53
+	# optimization can result in strange debuging symbols so omit it in case
54
+	if [ "`use debug`" ]; then
55
+		make_options="${make_options} mode=debug"
56
+	else
57
+		make_options="${make_options} CFLAGS=${CFLAGS}"
58
+	fi
59
+
60
+	check_mods
61
+
62
+	make all "${make_options}" \
63
+		prefix=${D}/ \
64
+		include_modules="${inc_mod}" \
65
+		cfg-prefix=/ \
66
+		cfg-target=/etc/ser/ || die
67
+}
68
+
69
+src_install () {
70
+	check_mods
71
+
72
+	make install \
73
+		prefix=${D}/ \
74
+		include_modules="${inc_mod}" \
75
+		bin-prefix=${D}/usr/sbin \
76
+		bin-dir="" \
77
+		cfg-prefix=${D}/etc \
78
+		cfg-dir=ser/ \
79
+		cfg-target=/etc/ser \
80
+		modules-prefix=${D}/usr/lib/ser \
81
+		modules-dir=modules \
82
+		modules-target=/usr/lib/ser/modules/ \
83
+		man-prefix=${D}/usr/share/man \
84